// Include only once
#ifndef B_HPP
#define B_HPP

// Include header files
#include <string>

/**
 * @ref B is a simple base class with defaulted constructors and destructor
 */
class B {

  /**
   * @name Constructors and Destructor
   */
  //@{

  /**
   * @ref B uses the compiler generated default constructor.
   */
  public:
    B() = default;

  /**
   * @ref B uses the compiler generated copy constructor.
   */
  public:
    B(const B&) = default;

  /**
   * @ref B uses the compiler generated move constructor.
   */
  public:
    B(B&&) = default;

  /**
   * @ref B uses the compiler generated destructor.
   */
  public:
    ~B() = default;

  // End Constructors and Destructor
  //@}

  /**
   * @name Conversions
   */
  //@{

  /**
   * Generates a string representation of this @ref B.
   *
   * @returns a string representation of this @ref B
   */
  public:
    std::string toString();

  // End Conversions
  //@}

// End B definition.
};

// End check for multiple inclusion
#endif
