// Include only once
#ifndef D2_HPP
#define D2_HPP

// Include header files
#include <B.hpp>

/**
 * @ref D2 is a simple derived class with defaulted constructors and destructor.
 */
class D2 : public B {

  /**
   * @name Constructors and Destructor
   */
  //@{

  /**
   * @ref D2 uses the compiler generated default constructor.
   */
  public:
    D2() = default;

  /**
   * @ref D2 uses the compiler generated copy constructor.
   */
  public:
    D2(const D2&) = default;

  /**
   * @ref D2 uses the compiler generated move constructor.
   */
  public:
    D2(D2&&) = default;

  /**
   * @ref D2 uses the compiler generated destructor.
   */
  public:
    ~D2() = default;

  // End Constructors and Destructor
  //@}

// End D2 definition.
};

// End check for multiple inclusion
#endif
